require "rspec/expectations"

RSpec::Matchers.define :have_invalid_field do |field_name|
  match do |page|
    page.has_field?(name, class: "is-invalid") || 
      page.find_field(field_name).native.attribute("validationMessage").present?
  end
end
